# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname pywbem
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global svnrev  619
%global revdate 20130411

Name:           python-module-pywbem
Version:        0.7.0
Release:        alt1_9.%{revdate}svn%{svnrev}
Summary:        Python WBEM Client and Provider Interface
Group:          Development/Python
License:        LGPLv2
URL:            http://pywbem.sourceforge.net
# The source for this package was pulled from upstream svn repository.
# Use the following commands to get the archive:
#  svn export -r 613 https://pywbem.svn.sourceforge.net/svnroot/pywbem/pywbem/trunk pywbem-20130128
#  tar -cJvf pywbem-20130128.tar.xz pywbem-20130128
Source0:        %{oldname}-%{revdate}.tar.xz
BuildRequires:  python-module-distribute
BuildArch:      noarch
Source44: import.info

%description
A Python library for making CIM (Common Information Model) operations over HTTP 
using the WBEM CIM-XML protocol. It is based on the idea that a good WBEM 
client should be easy to use and not necessarily require a large amount of 
programming knowledge. It is suitable for a large range of tasks from simply 
poking around to writing web and GUI applications. 

WBEM, or Web Based Enterprise Management is a manageability protocol, like 
SNMP, standardised by the Distributed Management Task Force (DMTF) available 
at http://www.dmtf.org/standards/wbem.

It also provides a Python provider interface, and is the fastest and 
easiest way to write providers on the planet.

%prep
%setup -q -n %{oldname}-%{revdate}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p -m755 %{buildroot}%{_bindir}
mv %{buildroot}/%{python_sitelibdir_noarch}/%{oldname}/wbemcli.py %{buildroot}/%{_bindir}/pywbemcli
mv %{buildroot}/%{python_sitelibdir_noarch}/%{oldname}/mof_compiler.py %{buildroot}/%{_bindir}/mofcomp
rm %{buildroot}/%{python_sitelibdir_noarch}/%{oldname}/wbemcli.py[co]
rm %{buildroot}/%{python_sitelibdir_noarch}/%{oldname}/mof_compiler.py[co]

%files
%{python_sitelibdir_noarch}/*
%attr(755,root,root) %{_bindir}/mofcomp
%attr(755,root,root) %{_bindir}/pywbemcli
%doc README

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_9.20130411svn619
- update to new release by fcimport

* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_8.20130128svn613
- update to new release by fcimport

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_7
- update to new release by fcimport

* Mon Jun 11 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_6
- update to new fc release

